@import url("https://fonts.googleapis.com/css2?family=Caladea&display=swap");

:root
{
    --regular_font: "Caladea", serif;
    --green: #006953;
    --white: #fffbfc;
}

body
{
    position: relative;
    margin: 0;
    padding: 0;
    font-family: var(--regular_font);
    background-color: var(--white);
}

img
{
    user-select: none;
}

main
{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 25px;
    overflow-x: hidden;
}

nav
{
    width: 100vw;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 350px 60px;
    background-color: var(--white);
    height: fit-content;
    color: black;
    box-sizing: border-box;
    z-index: 3;
}

nav > .logo
{
    grid-row: 1;
    grid-column: 1/-1;
    width: 100vw;
    height: 100%;
    object-fit: contain;
    object-position: center;
    border-bottom: 1px solid rgba(0, 0, 0, 0.5);
}

nav > .menu
{
    position: relative;
    grid-row: 2;
    grid-column: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

nav > .menu > a
{
    font-size: 18px;
    padding: 6px 16px;
    padding-left: 14px;
    border-radius: 4px;
    text-decoration: none;
    white-space: nowrap;
    color: black;
    opacity: 0.8;
    transition: 0.3s;
}

nav > .menu > a.selected
{
    background-color: rgba(0, 0, 0, 0.1);
}

nav > .menu > a:hover
{
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.2);
    text-decoration: underline;
}

nav > .menu > a:active
{
    background-color: rgba(0, 0, 0, 0.3);
}

nav > .menu:not(.active) > .links
{
    display: none;
}

nav > .details
{
    grid-row: 2;
    grid-column: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
}

nav > .details > div
{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    margin-right: 10px;
    font-size: 22px;
}

nav > .details > div > a,
nav > .details > div > span
{
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    color: black;
    opacity: 0.8;
}

nav > .details > div > .phone,
nav > .details > div > .address
{
    width: 26px;
    height: 26px;
    mask-size: 18px;
    mask-position: center;
    mask-repeat: no-repeat;
    background-color: black;
    filter: drop-shadow(0 0 5px rgba(0, 0, 0, 0.4));
}

nav > .details > div > .phone
{
    mask-image: url("../gfx/phone.svg");
}

nav > .details > div > .address
{
    mask-image: url("../gfx/location.svg");
}

@media screen and (max-width: 1050px)
{
    nav
    {
        grid-template-columns: 1fr;
        grid-template-rows: 350px 50px 50px;
    }

    nav > .menu
    {
        grid-row: 2;
        grid-column: 1;
    }
    
    nav > .details
    {
        grid-row: 3;
        grid-column: 1;
    }
}

@media screen and (max-width: 560px)
{
    nav
    {
        grid-template-rows: 350px 100px 80px;
    }

    nav > .menu
    {
        flex-wrap: wrap;
        justify-content: center;
    }
    
    nav > .details
    {
        flex-direction: column;
        align-items: center;
    }
}

section
{
    position: relative;
    width: 90vw;
    max-width: 800px;
    height: auto;
}